import { Observable } from 'rxjs/Observable';
import { HttpService } from '../http.service';
export declare class RegionService {
    private httpService;
    private regionSubject;
    regionList$: Observable<{}>;
    constructor(httpService: HttpService);
    /**
     * Function for getting list of region from backend API
     * parameters: regionTextSearch: string
     * return type: -
     */
    getRegionList(regionTextSearch: string): void;
    getRegionListByMenuRole(menuId: number): Observable<any>;
}
