import { Observable } from 'rxjs/Observable';
import { BehaviorSubject } from "rxjs/BehaviorSubject";
import { HttpService } from './http.service';
export declare class AuthenService {
    private httpService;
    loginStatus: BehaviorSubject<boolean>;
    constructor(httpService: HttpService);
    login(username: string, password: string): Observable<any>;
    logout(): Observable<any>;
    checkOtp(otp: string): Observable<any>;
    checkLoginStatus(): Observable<any>;
    setLoginStatus(value: boolean): void;
}
