import { Router } from '@angular/router';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { AuthenService } from './../authen.service';
export declare class AuthenGuardService {
    private authenService;
    private router;
    private loginUrl;
    constructor(authenService: AuthenService, router: Router);
    canActivate(): Observable<boolean> | Promise<boolean> | boolean;
    canActivateChild(): Observable<boolean> | Promise<boolean> | boolean;
    private checkLoginStatus();
}
