import { Observable } from 'rxjs/Observable';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import 'rxjs/add/observable/throw';
export declare class HttpService {
    private http;
    private headers;
    constructor(http: Http);
    get(url: string): Observable<any>;
    post(url: string, body: any): Observable<any>;
    download(url: string, body: any, filename?: string): Observable<any>;
    private handleError(error);
    private getFilename(disposition);
}
